<!DOCTYPE html>
<html lang="ru">
<head>
    <title>Слайдер на JavaScript.</title>
    <meta charset="utf-8">
</head>
<style>
#main {
    position:relative;
    margin: 100px auto;
    padding: 5px;
    width: 660px;
    height:360px;
    border-radius:15px;
}
#scr {
    margin:20px auto;
    width: 600px;
    height: 320px;
    margin-top:20px;
    background-size:cover;
}
button {
    position: absolute;
    top: 150px;
    
    font: 12pt arial,tahoma,sans-serif;
    text-align: center;
}
.prev {
    left:-50px;
}
.next {
    right:-20px;
}
</style>
<script>
var slider = {
    slides:['pic0.jpg','pic1.jpg','pic2.jpg','pic3.jpg','pic4.jpg','pic5.jpg'],
    id:0, // текущий кадр для отбражения - индекс картинки из массива
    set: function(image) { // установка нужного фона слайдеру
        document.getElementById("scr").style.backgroundImage = "url("+image+")";//конкатенация
    },
    init: function() { // запуск слайдера с картинкой с нулевым индексом
        this.set(this.slides[this.id]);
    },
    left: function() { // крутим на один кадр влево
        this.id--;
        if(this.id < 0) this.id = this.slides.length-1;
        this.set(this.slides[this.id]);
    },
    right: function() { // крутим на один кадр вправо
        this.id++;
        if(this.id == this.slides.length) this.id = 0;
        this.set(this.slides[this.id]);      
    }
};
window.onload = function() { // запуск слайдера после загрузки документа
    slider.init();
    
};
</script>
<body>
<div id="main">
    <button class="prev" onclick="slider.left();">Previous</button>
    <div id="scr"></div>
    <button class="next" onclick="slider.right();">Next</button>
</div>  
</body>
</html>